%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-openstacklib
Version:        12.4.0
Release:        6%{?dist}
Summary:        Puppet OpenStack Libraries
License:        ASL 2.0

URL:            https://launchpad.net/puppet-openstacklib

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#patches_ignore=DROP-IN-RPM
#patches_base=12.4.0
Patch0001: 0001-Making-immutable-config-setting-when-using-_IMMUTABL.patch
Patch0002: 0002-Update-Gemfile-to-pull-spec_helper-from-stable-queen.patch
Patch0003: 0003-Keep-the-system-locale-in-the-openstack-command.patch
Patch0004: 0004-Make-sure-the-wsgi-script-dir-mode-is-0755.patch
Patch0005: 0005-Ensure-no-directory-listing-is-active.patch
Patch0006: 0006-Restore-defaults-for-combine-and-failonfail-in-opens.patch
Patch0007: 0007-Remove-PE-requirement-from-metadata.json.patch

BuildArch:      noarch

Requires:       puppet-apache
Requires:       puppet-inifile
Requires:       puppet-mysql
Requires:       puppet-stdlib
Requires:       puppet-rabbitmq
#Requires:       puppet-postgresql
Requires:       puppet >= 2.7.0

%description
Puppet OpenStack Libraries

%prep
%setup -q -n openstack-openstacklib-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/openstacklib/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/openstacklib/



%files
%{_datadir}/openstack-puppet/modules/openstacklib/


%changelog
* Thu May 07 2020 Miguel Garcia <mgarciac@redhat.com> 12.4.0-6
- Remove PE requirement from metadata.json

* Tue Jan 28 2020 Steve Linabery <slinaber@redhat.com> 12.4.0-5
- Restore defaults for combine and failonfail in openstack command

* Thu Jan 09 2020 Cédric Jeanneret <cjeanner@redhat.com> 12.4.0-4
- Ensure no directory listing is active (rhbz#1778052)

* Fri Oct 18 2019 Martin Schuppert <mschuppert@redhat.com> 12.4.0-3
- Make sure the wsgi script dir mode is 0755 (rhbz#1623432)

* Fri Mar 22 2019 Sofer Athlan-Guyot <sathlang@redhat.com> 12.4.0-2
- Keep the system locale in the openstack command. (rhbz#1691289)

* Thu Mar 29 2018 RDO <dev@lists.rdoproject.org> 12.4.0-1
- Update to 12.4.0
- Update Gemfile to pull spec_helper from stable/queens
- Making immutable config setting when using <_IMMUTABLE_>.

* Tue Feb 20 2018 RDO <dev@lists.rdoproject.org> 12.3.0-1
- Update to 12.3.0



